Package org.pushingpixels.substance.internal.utils.filters

# Class NegatedFilter

java.lang.Object
org.pushingpixels.substance.internal.utils.filters.AbstractFilter
org.pushingpixels.substance.internal.utils.filters.NegatedFilter

All Implemented Interfaces:
  `BufferedImageOp`

public class NegatedFilter extends AbstractFilter

## Constructor Summary

Constructors
Constructor
Description
`NegatedFilter()`

## Method Summary

Modifier and Type
Method
Description
`BufferedImage`
`filter(BufferedImage src, BufferedImage dst)`

### Methods inherited from class org.pushingpixels.substance.internal.utils.filters.AbstractFilter

`createCompatibleDestImage, getBounds2D, getPixels, getPoint2D, getRenderingHints, setPixels`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NegatedFilter

public NegatedFilter()

Throws:
  `IllegalArgumentException` - if `scheme` is null

## Method Details

### filter

public BufferedImage filter(BufferedImage src, BufferedImage dst)

Specified by:
  `filter` in interface `BufferedImageOp`
Specified by:
  `filter` in class `AbstractFilter`